.mc-component-library .v-slider .v-slider__container input {
  cursor: default;
  padding: 0;
  width: 100%;
  display: none;
}
.mc-component-library .v-slider > .v-input__append,
.mc-component-library .v-slider > .v-input__prepend {
  padding: 0;
}

.mc-component-library .v-slider__container {
  position: relative;
  min-height: inherit;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.mc-component-library .v-input--disabled .v-slider__container {
  opacity: var(--v-disabled-opacity);
}
.mc-component-library .v-input--error:not(.v-input--disabled) .v-slider__container {
  color: rgb(var(--v-theme-error));
}

.mc-component-library .v-slider.v-input--horizontal {
  align-items: center;
  margin-inline: 8px 8px;
}
.mc-component-library .v-slider.v-input--horizontal > .v-input__control {
  min-height: 32px;
  display: flex;
  align-items: center;
}

.mc-component-library .v-slider.v-input--vertical {
  justify-content: center;
  margin-top: 12px;
  margin-bottom: 12px;
}
.mc-component-library .v-slider.v-input--vertical > .v-input__control {
  min-height: 300px;
}

.mc-component-library .v-slider.v-input--disabled {
  pointer-events: none;
}

.mc-component-library .v-slider--has-labels > .v-input__control {
  margin-bottom: 4px;
}

.mc-component-library .v-slider__label {
  margin-inline-end: 12px;
}.mc-component-library .v-slider-thumb {
  touch-action: none;
  color: rgb(var(--v-theme-surface-variant));
}
.mc-component-library .v-input--error:not(.v-input--disabled) .v-slider-thumb {
  color: inherit;
}

.mc-component-library .v-slider-thumb__label {
  background: rgba(var(--v-theme-surface-variant), 0.7);
  color: rgb(var(--v-theme-on-surface-variant));
}
.mc-component-library .v-slider-thumb__label::before {
  color: rgba(var(--v-theme-surface-variant), 0.7);
}

.mc-component-library .v-slider-thumb {
  outline: none;
  position: absolute;
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
}

.mc-component-library .v-slider-thumb__surface {
  cursor: pointer;
  width: var(--v-slider-thumb-size);
  height: var(--v-slider-thumb-size);
  border-radius: 50%;
  user-select: none;
  background-color: currentColor;
}
@media (forced-colors: active) {
  .mc-component-library .v-slider-thumb__surface {
    background-color: highlight;
  }
}
.mc-component-library .v-slider-thumb__surface::before {
  transition: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
  content: "";
  color: inherit;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: currentColor;
  position: absolute;
  pointer-events: none;
  opacity: 0;
}
.mc-component-library .v-slider-thumb__surface::after {
  content: "";
  width: 42px;
  height: 42px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.mc-component-library .v-slider-thumb__label-container {
  position: absolute;
  transition: 0.2s cubic-bezier(0.4, 0, 1, 1);
}

.mc-component-library .v-slider-thumb__label {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.75rem;
  min-width: 35px;
  height: 25px;
  border-radius: 4px;
  padding: 6px;
  position: absolute;
  user-select: none;
  transition: 0.2s cubic-bezier(0.4, 0, 1, 1);
}
.mc-component-library .v-slider-thumb__label::before {
  content: "";
  width: 0;
  height: 0;
  position: absolute;
}

.mc-component-library .v-slider-thumb__ripple {
  position: absolute;
  left: calc(var(--v-slider-thumb-size) / -2);
  top: calc(var(--v-slider-thumb-size) / -2);
  width: calc(var(--v-slider-thumb-size) * 2);
  height: calc(var(--v-slider-thumb-size) * 2);
  background: inherit;
}

.mc-component-library .v-slider.v-input--horizontal .v-slider-thumb {
  top: 50%;
  transform: translateY(-50%);
  inset-inline-start: calc(var(--v-slider-thumb-position) - var(--v-slider-thumb-size) / 2);
}
.mc-component-library .v-slider.v-input--horizontal .v-slider-thumb__label-container {
  left: calc(var(--v-slider-thumb-size) / 2);
  top: 0;
}
.mc-component-library .v-slider.v-input--horizontal .v-slider-thumb__label {
  bottom: calc(var(--v-slider-thumb-size) / 2);
}
.mc-component-library .v-locale--is-ltr.v-slider.v-input--horizontal .v-slider-thumb__label, .mc-component-library .v-locale--is-ltr .v-slider.v-input--horizontal .v-slider-thumb__label {
  transform: translateX(-50%);
}

.mc-component-library .v-locale--is-rtl.v-slider.v-input--horizontal .v-slider-thumb__label, .mc-component-library .v-locale--is-rtl .v-slider.v-input--horizontal .v-slider-thumb__label {
  transform: translateX(50%);
}

.mc-component-library .v-slider.v-input--horizontal .v-slider-thumb__label::before {
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-top: 6px solid currentColor;
  bottom: -6px;
}

.mc-component-library .v-slider.v-input--vertical .v-slider-thumb {
  top: calc(var(--v-slider-thumb-position) - var(--v-slider-thumb-size) / 2);
}
.mc-component-library .v-slider.v-input--vertical .v-slider-thumb__label-container {
  top: calc(var(--v-slider-thumb-size) / 2);
  right: 0;
}
.mc-component-library .v-slider.v-input--vertical .v-slider-thumb__label {
  top: -12.5px;
  left: calc(var(--v-slider-thumb-size) / 2);
}
.mc-component-library .v-slider.v-input--vertical .v-slider-thumb__label::before {
  border-right: 6px solid currentColor;
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
  left: -6px;
}

.mc-component-library .v-slider-thumb--focused .v-slider-thumb__surface::before {
  transform: scale(2);
  opacity: var(--v-focus-opacity);
}

.mc-component-library .v-slider-thumb--pressed {
  transition: none;
}
.mc-component-library .v-slider-thumb--pressed .v-slider-thumb__surface::before {
  opacity: var(--v-pressed-opacity);
}

@media (hover: hover) {
  .mc-component-library .v-slider-thumb:hover .v-slider-thumb__surface::before {
    transform: scale(2);
  }
  .mc-component-library .v-slider-thumb:hover:not(.v-slider-thumb--focused) .v-slider-thumb__surface::before {
    opacity: var(--v-hover-opacity);
  }
}.mc-component-library .v-slider-track__background {
  background-color: rgb(var(--v-theme-surface-variant));
}
@media (forced-colors: active) {
  .mc-component-library .v-slider-track__background {
    background-color: highlight;
  }
}

.mc-component-library .v-slider-track__fill {
  background-color: rgb(var(--v-theme-surface-variant));
}
@media (forced-colors: active) {
  .mc-component-library .v-slider-track__fill {
    background-color: highlight;
  }
}

.mc-component-library .v-slider-track__tick {
  background-color: rgb(var(--v-theme-surface-variant));
}
.mc-component-library .v-slider-track__tick--filled {
  background-color: rgb(var(--v-theme-surface-light));
}

.mc-component-library .v-slider-track {
  border-radius: 6px;
}
@media (forced-colors: active) {
  .mc-component-library .v-slider-track {
    border: thin solid buttontext;
  }
}

.mc-component-library .v-slider-track__background, .mc-component-library .v-slider-track__fill {
  position: absolute;
  transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
  border-radius: inherit;
}
.mc-component-library .v-slider--pressed .v-slider-track__background, .mc-component-library .v-slider--pressed .v-slider-track__fill {
  transition: none;
}
.mc-component-library .v-input--error:not(.v-input--disabled) .v-slider-track__background, .mc-component-library .v-input--error:not(.v-input--disabled) .v-slider-track__fill {
  background-color: currentColor;
}

.mc-component-library .v-slider-track__ticks {
  height: 100%;
  width: 100%;
  position: relative;
}

.mc-component-library .v-slider-track__tick {
  position: absolute;
  opacity: 0;
  transition: 0.2s opacity cubic-bezier(0.4, 0, 0.2, 1);
  border-radius: 2px;
  width: var(--v-slider-tick-size);
  height: var(--v-slider-tick-size);
  transform: translate(calc(var(--v-slider-tick-size) / -2), calc(var(--v-slider-tick-size) / -2));
}
.mc-component-library .v-locale--is-ltr.v-slider-track__tick--first .v-slider-track__tick-label, .mc-component-library .v-locale--is-ltr .v-slider-track__tick--first .v-slider-track__tick-label {
  transform: none;
}

.mc-component-library .v-locale--is-rtl.v-slider-track__tick--first .v-slider-track__tick-label, .mc-component-library .v-locale--is-rtl .v-slider-track__tick--first .v-slider-track__tick-label {
  transform: translateX(100%);
}

.mc-component-library .v-locale--is-ltr.v-slider-track__tick--last .v-slider-track__tick-label, .mc-component-library .v-locale--is-ltr .v-slider-track__tick--last .v-slider-track__tick-label {
  transform: translateX(-100%);
}

.mc-component-library .v-locale--is-rtl.v-slider-track__tick--last .v-slider-track__tick-label, .mc-component-library .v-locale--is-rtl .v-slider-track__tick--last .v-slider-track__tick-label {
  transform: none;
}

.mc-component-library .v-slider-track__tick-label {
  position: absolute;
  user-select: none;
  white-space: nowrap;
}

.mc-component-library .v-slider.v-input--horizontal .v-slider-track {
  display: flex;
  align-items: center;
  width: 100%;
  height: calc(var(--v-slider-track-size) + 2px);
  touch-action: pan-y;
}
.mc-component-library .v-slider.v-input--horizontal .v-slider-track__background {
  height: var(--v-slider-track-size);
}
.mc-component-library .v-slider.v-input--horizontal .v-slider-track__fill {
  height: inherit;
}
.mc-component-library .v-slider.v-input--horizontal .v-slider-track__tick {
  margin-top: calc(calc(var(--v-slider-track-size) + 2px) / 2);
}
.mc-component-library .v-locale--is-rtl.v-slider.v-input--horizontal .v-slider-track__tick, .mc-component-library .v-locale--is-rtl .v-slider.v-input--horizontal .v-slider-track__tick {
  transform: translate(calc(var(--v-slider-tick-size) / 2), calc(var(--v-slider-tick-size) / -2));
}

.mc-component-library .v-slider.v-input--horizontal .v-slider-track__tick .v-slider-track__tick-label {
  margin-top: calc(var(--v-slider-track-size) / 2 + 8px);
}
.mc-component-library .v-locale--is-ltr.v-slider.v-input--horizontal .v-slider-track__tick .v-slider-track__tick-label, .mc-component-library .v-locale--is-ltr .v-slider.v-input--horizontal .v-slider-track__tick .v-slider-track__tick-label {
  transform: translateX(-50%);
}

.mc-component-library .v-locale--is-rtl.v-slider.v-input--horizontal .v-slider-track__tick .v-slider-track__tick-label, .mc-component-library .v-locale--is-rtl .v-slider.v-input--horizontal .v-slider-track__tick .v-slider-track__tick-label {
  transform: translateX(50%);
}

.mc-component-library .v-slider.v-input--horizontal .v-slider-track__tick--first {
  margin-inline-start: calc(var(--v-slider-tick-size) + 1px);
}
.mc-component-library .v-locale--is-ltr.v-slider.v-input--horizontal .v-slider-track__tick--first .v-slider-track__tick-label, .mc-component-library .v-locale--is-ltr .v-slider.v-input--horizontal .v-slider-track__tick--first .v-slider-track__tick-label {
  transform: translateX(0%);
}

.mc-component-library .v-locale--is-rtl.v-slider.v-input--horizontal .v-slider-track__tick--first .v-slider-track__tick-label, .mc-component-library .v-locale--is-rtl .v-slider.v-input--horizontal .v-slider-track__tick--first .v-slider-track__tick-label {
  transform: translateX(0%);
}

.mc-component-library .v-slider.v-input--horizontal .v-slider-track__tick--last {
  margin-inline-start: calc(100% - var(--v-slider-tick-size) - 1px);
}
.mc-component-library .v-locale--is-ltr.v-slider.v-input--horizontal .v-slider-track__tick--last .v-slider-track__tick-label, .mc-component-library .v-locale--is-ltr .v-slider.v-input--horizontal .v-slider-track__tick--last .v-slider-track__tick-label {
  transform: translateX(-100%);
}

.mc-component-library .v-locale--is-rtl.v-slider.v-input--horizontal .v-slider-track__tick--last .v-slider-track__tick-label, .mc-component-library .v-locale--is-rtl .v-slider.v-input--horizontal .v-slider-track__tick--last .v-slider-track__tick-label {
  transform: translateX(100%);
}

.mc-component-library .v-slider.v-input--vertical .v-slider-track {
  height: 100%;
  display: flex;
  justify-content: center;
  width: calc(var(--v-slider-track-size) + 2px);
  touch-action: pan-x;
}
.mc-component-library .v-slider.v-input--vertical .v-slider-track__background {
  width: var(--v-slider-track-size);
}
.mc-component-library .v-slider.v-input--vertical .v-slider-track__fill {
  width: inherit;
}
.mc-component-library .v-slider.v-input--vertical .v-slider-track__ticks {
  height: 100%;
}
.mc-component-library .v-slider.v-input--vertical .v-slider-track__tick {
  margin-inline-start: calc(calc(var(--v-slider-track-size) + 2px) / 2);
  transform: translate(calc(var(--v-slider-tick-size) / -2), calc(var(--v-slider-tick-size) / 2));
}
.mc-component-library .v-locale--is-rtl.v-slider.v-input--vertical .v-slider-track__tick, .mc-component-library .v-locale--is-rtl .v-slider.v-input--vertical .v-slider-track__tick {
  transform: translate(calc(var(--v-slider-tick-size) / 2), calc(var(--v-slider-tick-size) / 2));
}

.mc-component-library .v-slider.v-input--vertical .v-slider-track__tick--first {
  bottom: calc(0% + var(--v-slider-tick-size) + 1px);
}
.mc-component-library .v-slider.v-input--vertical .v-slider-track__tick--last {
  bottom: calc(100% - var(--v-slider-tick-size) - 1px);
}
.mc-component-library .v-slider.v-input--vertical .v-slider-track__tick .v-slider-track__tick-label {
  margin-inline-start: calc(var(--v-slider-track-size) / 2 + 12px);
  transform: translateY(-50%);
}

.mc-component-library .v-slider-track__ticks--always-show .v-slider-track__tick, .mc-component-library .v-slider--focused .v-slider-track__tick {
  opacity: 1;
}

.mc-component-library .v-slider-track__background--opacity {
  opacity: 0.38;
}.mc-component-library .mc-slider {
  width: 100%;
}
.mc-component-library .mc-slider .v-slider-track__fill {
  background-color: rgb(var(--v-theme-primary));
}
.mc-component-library .mc-slider .v-slider-thumb {
  color: rgb(var(--v-theme-primary));
}
.mc-component-library .mc-slider .v-slider-track__background {
  background-color: rgba(var(--v-theme-primary), 0.4);
  width: calc(100% - 1px) !important;
}
.mc-component-library .mc-slider .v-slider-track__tick--first {
  margin-inline-start: calc(var(--v-slider-tick-size) - 1px) !important;
}